package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFR59 extends MwfRequest<MWFR59, MWFR59Response> {

    @Parameter(name = "APP_KEY")
    MWFR59 appKey(Long appKey);
    @Parameter(name = "APP_SET_KEY")
    MWFR59 appSetKey(Long appSetKey);
    @Parameter(name = "USER_FUNCTION")
    MWFR59 userFunction(String userFunction);
    @Parameter(name = "USER_ROLE")
    MWFR59 userRole(String userRole);
    @Parameter(name = "USER_SSO")
    MWFR59 userSso(String userSso);
}
